plot_dendro {plotly} | R Documentation

## Plot an interactive dendrogram

### Description

This function takes advantage of nested key selections to implement an interactive dendrogram. Selecting a node selects all the labels (i.e. leafs) under that node.

### Usage

    plot_dendro(d, set = "A", xmin = -50, height = 500, width = 500,
      ...)

### Arguments

`d` | a dendrogram object
`set` | defines a crosstalk group
`xmin` | minimum of the range of the x-scale
`height` | height
`width` | width
`...` | arguments supplied to `subplot()`

### Author(s)

Carson Sievert

### See Also

`plot_ly()`, `plot_mapbox()`, `ggplotly()`

### Examples

    hc <- hclust(dist(USArrests), "ave")
    dend1 <- as.dendrogram(hc)
    plot_dendro(dend1, height = 600) %>%
      hide_legend() %>%
      highlight(persistent = TRUE, dynamic = TRUE)

[Package plotly version 4.9.0 Index]